% ARRANGE transforms x and z vectors into matrices, 
% so that density anomaly and temperature can be later represented with the script fig_tbeta.m 
% Also the MATLAB function QUIVER can be then used to draw the arrows of the velocity vector. 

% Script component of TEMSPOL: a MATLAB thermal model for deep subduction
% zones including major phase transformations.
% A.M. Negredo, J.L. Valera and E. Carminati (2002)


[rx,cx]=size(x);
[rz,cz]=size(z);

iz=ones(cz,1);
xx=iz*x;
x=xx';

ix=ones(cx,1);
zz=ix*z;
z=zz;
clear zz xx iz ix rx cx rz cz;