function y=funztr2(x)
% FUNZTR2 is a function whose zero (computed with init_temp.m) gives the z of the 
% cross-point between the asthenosphere geotherm and the straight line of the
% phase diagram indicating the initiation of transformation of olivine into spinel.


% Component of TEMSPOL: a MATLAB thermal model for deep subduction
% zones including major phase transformations.
% A.M. Negredo, J.L. Valera and E. Carminati (2002)


T0=1450;
g=evalin('base', 'g');
alpha=evalin('base', 'alpha');
Cp=evalin('base', 'Cp');

depth=evalin('base', 'depth');
za=depth-100000;
y=x+2000/15*T0*exp(g*alpha/Cp*(za-x))-depth+200000;
